ranges::views::cpp20_filter_fn Struct Reference
Inheritance diagram for ranges::views::cpp20_filter_fn:

## Public Member Functions

template<typename Pred >
constexpr auto | operator() (Pred pred) const
Public Member Functions inherited from ranges::views::cpp20_filter_base_fn
template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | c (requires ` viewable_range< Rng > &&input_range< Rng > &&indirect_unary_predicate< Pred, iterator_t< Rng >>) ccconstexpr filter_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Pred | operator() (Rng &&rng, Pred pred) const